/*
Copyright 2010 Johan Maasing

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package nu.zoom.gal.error;

/**
 * GUI Abstraction for reporting errors to the user.
 * 
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 */
public interface ErrorReporter {
	public void reportError(final String message, final Exception e);

	public void reportError(final String message);

	public void reportError(final Exception e);
}
